Package logsparser :: Module normalizer :: Class Pattern

[frames] | no frames]

# Class Pattern

source code

    object --+
             |
            Pattern

A pattern, as defined in a normalizer configuration file.

Instance Methods

__init__(self, name, pattern, tags=`{``}`, description=`'````'`, commonTags=`{``}`, examples=`[``]`) x.__init__(...) initializes x; see help(type(x)) for signature | source code

normalize(self, logline) | source code

test_examples(self) | source code

get_description(self, language=`'``en``'`) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, name, pattern, tags=`{``}`, description=`'````'`, commonTags=`{``}`, examples=`[``]`)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)